POST /{channelName}/updateStoreStatus/{channelLinkId}

For any number of reasons, your platform may close one of your customer's stores e.g. after too many failed orders. When doing so, it is possible to sync the new status of the store to Deliverect via a channel status update.

For the payload, we always expect a JSON that contains:
* status: expeсted values would be open or closed.
* reason: reason for the status changes.

Path parameters

  • channelName string Required
  • channelLinkId string Required
application/json

Body

  • status string Required
  • reason string Required

Responses

  • 200 application/json

    Successful response

POST /{channelName}/updateStoreStatus/{channelLinkId}
curl \
 --request POST 'https://api.staging.deliverect.com/{channelName}/updateStoreStatus/{channelLinkId}' \
 --header "Content-Type: application/json" \
 --data '[{"status":"closed","reason":"Too many failed orders"}]'
Request example
[
  {
    "status": "closed",
    "reason": "Too many failed orders"
  }
]
Response examples (200)
{
  "message": "Changed store status"
}